# Class HPackHuffman.HuffmanCode

java.lang.Object
org.apache.coyote.http2.HPackHuffman.HuffmanCode

Enclosing class:
  `HPackHuffman`

protected static class HPackHuffman.HuffmanCode extends Object

## Constructor Summary

Constructors
Constructor
Description
`HuffmanCode(int value, int length)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getLength()`
`int`
`getValue()`
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### HuffmanCode

public HuffmanCode(int value, int length)

## Method Details

### getValue

public int getValue()

### getLength

public int getLength()

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`